Bug 1679569 - Missing librbd1 dependecy for libvirt-daemon-driver-storage-rbd is causing problem with RHEL host upgrade [rhel-7.6.z]
Summary: Missing librbd1 dependecy for libvirt-daemon-driver-storage-rbd is causing pr...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libvirt
Version: 7.5
Hardware: x86_64
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Jiri Denemark
QA Contact: Han Han
URL:
Whiteboard:
Keywords: ZStream
Depends On: 1658652
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-21 12:38 UTC by RAD team bot copy to z-stream
Modified: 2019-03-13 18:47 UTC (History)
13 users (show)

(edit)
Cause: libvirt-daemon-driver-storage-rbd subpackage did not require new librbd1 package from RHEL-7.6.

Consequence: When libvirt-daemon-driver-storage-rbd was updated from RHEL-7.5 to RHEL-7.6, libvird failed to start due to incompatibility with the older version of librbd1.

Fix: The updated libvirt-daemon-driver-storage-rbd package now requires new librbd1.

Result: When libvirt-daemon-driver-storage-rbd is being updated, librdb1 is also automatically updated and libvirtd can be successfully (re)started.
Clone Of: 1658652
(edit)
Last Closed: 2019-03-13 18:47:14 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0521 None None None 2019-03-13 18:47 UTC
Red Hat Knowledge Base (Solution) 3746691 Supportability None libvirtd service will not start after upgrade: libvirt_storage_backend_rbd.so undefined symbol: rbd_diff_iterate2 2019-02-21 12:38 UTC

Description RAD team bot copy to z-stream 2019-02-21 12:38:47 UTC
This bug has been copied from bug #1658652 and has been proposed to be backported to 7.6 z-stream (EUS).

Comment 5 Han Han 2019-03-01 09:09:22 UTC
Check the dependency directly:
# rpm -qpR libvirt-daemon-driver-storage-rbd-4.5.0-10.el7_6.6.x86_64.rpm|grep librbd
librbd.so.1()(64bit)
librbd1 >= 1:10.2.5


Update libvirt rpm 7.5 to 7.6.z:
1. Prepare a rhel7.5 host installed with libvirt
# rpm -q libvirt librbd1
libvirt-3.9.0-14.el7.x86_64
librbd1-0.94.5-2.el7.x86_64

2. Add rhel7.6.z repo to the host
3. Update libvirt package
# yum update libvirt -y
============================================================================================================================================================================
 Package                                                     Arch                         Version                                 Repository                           Size
============================================================================================================================================================================
Updating:
 libvirt                                                     x86_64                       4.5.0-10.el7_6.6                        CI                                  182 k
Installing for dependencies:
 boost-iostreams                                             x86_64                       1.53.0-27.el7                           RHEL-Client-7                        61 k
 boost-random                                                x86_64                       1.53.0-27.el7                           RHEL-Client-7                        39 k
 libvirt-bash-completion                                     x86_64                       4.5.0-10.el7_6.6                        CI                                  182 k
Updating for dependencies:
 librados2                                                   x86_64                       1:10.2.5-4.el7                          CI                                  1.8 M
 librbd1                                                     x86_64                       1:10.2.5-4.el7                          CI                                  2.4 M
 libvirt-client                                              x86_64                       4.5.0-10.el7_6.6                        CI                                  478 k
 libvirt-daemon                                              x86_64                       4.5.0-10.el7_6.6                        CI                                  825 k
 libvirt-daemon-config-network                               x86_64                       4.5.0-10.el7_6.6                        CI                                  183 k
 libvirt-daemon-config-nwfilter                              x86_64                       4.5.0-10.el7_6.6                        CI                                  188 k
 libvirt-daemon-driver-interface                             x86_64                       4.5.0-10.el7_6.6                        CI                                  221 k
 libvirt-daemon-driver-lxc                                   x86_64                       4.5.0-10.el7_6.6                        CI                                  314 k
 libvirt-daemon-driver-network                               x86_64                       4.5.0-10.el7_6.6                        CI                                  394 k
 libvirt-daemon-driver-nodedev                               x86_64                       4.5.0-10.el7_6.6                        CI                                  220 k
 libvirt-daemon-driver-nwfilter                              x86_64                       4.5.0-10.el7_6.6                        CI                                  244 k
 libvirt-daemon-driver-qemu                                  x86_64                       4.5.0-10.el7_6.6                        CI                                  731 k
 libvirt-daemon-driver-secret                                x86_64                       4.5.0-10.el7_6.6                        CI                                  210 k
 libvirt-daemon-driver-storage                               x86_64                       4.5.0-10.el7_6.6                        CI                                  181 k
 libvirt-daemon-driver-storage-core                          x86_64                       4.5.0-10.el7_6.6                        CI                                  418 k
 libvirt-daemon-driver-storage-disk                          x86_64                       4.5.0-10.el7_6.6                        CI                                  212 k
 libvirt-daemon-driver-storage-gluster                       x86_64                       4.5.0-10.el7_6.6                        CI                                  220 k
 libvirt-daemon-driver-storage-iscsi                         x86_64                       4.5.0-10.el7_6.6                        CI                                  209 k
 libvirt-daemon-driver-storage-logical                       x86_64                       4.5.0-10.el7_6.6                        CI                                  213 k
 libvirt-daemon-driver-storage-mpath                         x86_64                       4.5.0-10.el7_6.6                        CI                                  208 k
 libvirt-daemon-driver-storage-rbd                           x86_64                       4.5.0-10.el7_6.6                        CI                                  215 k
 libvirt-daemon-driver-storage-scsi                          x86_64                       4.5.0-10.el7_6.6                        CI                                  209 k
 libvirt-daemon-kvm                                          x86_64                       4.5.0-10.el7_6.6                        CI                                  181 k
 libvirt-libs                                                x86_64                       4.5.0-10.el7_6.6                        CI                                  4.2 M

After update:
# rpm -q libvirt librbd1
libvirt-4.5.0-10.el7_6.6.x86_64
librbd1-10.2.5-4.el7.x86_64


Works as expected.

Comment 8 errata-xmlrpc 2019-03-13 18:47:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0521


Note You need to log in before you can comment on or make changes to this bug.